Loading...
Searching...
No Matches
StreamInfo Struct Reference
Collaboration diagram for StreamInfo:

## Public Member Functions

| StreamInfo ()
| ~StreamInfo ()

## Public Attributes

std::set< std::string > * | fcList
std::set< std::string >::iterator | itFC
char * | myExec
char * | myHost
char * | myName

## Detailed Description

Definition at line 103 of file XrdOucStream.cc.

## Constructor & Destructor Documentation

## StreamInfo()

StreamInfo::StreamInfo | ( |  | ) |

inline

Definition at line 111 of file XrdOucStream.cc.

: myHost(0), myName(0), myExec(0),
fcList(0) {}
StreamInfo::fcList
std::set< std::string > * fcList
Definition XrdOucStream.cc:108
StreamInfo::myExec
char * myExec
Definition XrdOucStream.cc:106
StreamInfo::myName
char * myName
Definition XrdOucStream.cc:105
StreamInfo::myHost
char * myHost
Definition XrdOucStream.cc:104

References fcList, myExec, myHost, and myName.

## ~StreamInfo()

StreamInfo::~StreamInfo | ( |  | ) |

inline

Definition at line 113 of file XrdOucStream.cc.

{if (fcList) delete fcList;}

References fcList.

## Member Data Documentation

## fcList

std::set<std::string>* StreamInfo::fcList

Definition at line 108 of file XrdOucStream.cc.

Referenced by StreamInfo(), and ~StreamInfo().

## itFC

std::set<std::string>::iterator StreamInfo::itFC

Definition at line 109 of file XrdOucStream.cc.

## myExec

char* StreamInfo::myExec

Definition at line 106 of file XrdOucStream.cc.

Referenced by StreamInfo().

## myHost

char* StreamInfo::myHost

Definition at line 104 of file XrdOucStream.cc.

Referenced by StreamInfo().

## myName

char* StreamInfo::myName

Definition at line 105 of file XrdOucStream.cc.

Referenced by StreamInfo().

The documentation for this struct was generated from the following file:

- XrdOucStream.cc